Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_DLL_ORB Class Reference

Helper class that initializes an ORB when an instance of this class is dynamically loaded. More...

`#include <DLL_ORB.h>`

Inheritance diagram for TAO_DLL_ORB:

[legend]
Collaboration diagram for TAO_DLL_ORB:

[legend]
List of all members.

## Public Methods
| TAO_DLL_ORB (void)
| Constructor. More...
| ~TAO_DLL_ORB (void)
| Destructor. More...
virtual int | init (int argc, ACE_TCHAR *argv[])
| Initializes ORB when dynamic linking occurs. More...
virtual int | fini (void)
| Terminates ORB when dynamic unlinking occurs. More...
virtual int | svc (void)
| Run by a daemon thread to handle deferred processing. More...
CORBA::ORB_ptr | orb (void)
| Returns a duplicate reference to the ORB. More...
## Private Attributes
CORBA::ORB_var | orb_
| Reference to the ORB. More...

## Detailed Description

Helper class that initializes an ORB when an instance of this class is dynamically loaded.

This class is deprecated. While it does demonstrate how to initialize an ORB in a dynamically loaded object, the fact that it is located in the TAO library forces the TAO library to be linked to the application binary. This prevents TAO from being completely decoupled from an application when dynamic loading is used, hence defeating the purpose of dynamically loading the object!

For an example of how to dynamically load an ORB (actually initialize an ORB inside a dynamically loaded object) that is completely decoupled from an application binary see the TAO/tests/DLL_ORB test.

## Constructor & Destructor Documentation

TAO_DLL_ORB::TAO_DLL_ORB | ( | void |  | ) |

| Constructor.

TAO_DLL_ORB::~TAO_DLL_ORB | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_DLL_ORB::fini | ( | void |  | ) | `[virtual]`

| Terminates ORB when dynamic unlinking occurs. Reimplemented from ACE_Shared_Object.

int TAO_DLL_ORB::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Initializes ORB when dynamic linking occurs. Reimplemented from ACE_Shared_Object.

ACE_INLINE CORBA::ORB_ptr TAO_DLL_ORB::orb | ( | void |  | ) |

| Returns a duplicate reference to the ORB.

int TAO_DLL_ORB::svc | ( | void |  | ) | `[virtual]`

| Run by a daemon thread to handle deferred processing. Reimplemented from ACE_Task_Base.

## Member Data Documentation

CORBA::ORB_var TAO_DLL_ORB::orb_`[private]`

| Reference to the ORB.

The documentation for this class was generated from the following files:

- DLL_ORB.h
- DLL_ORB.cpp
- DLL_ORB.inl